Orishare
API reference
GET
/connectors

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 2048

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/connectors"
{  "data": [    {      "id": "string",      "provider": "shopify",      "external_account": "string",      "status": "active",      "config": {        "customer_mapping": {          "mode": "provider_customer_id"        },        "shop_currency": "string",        "klaviyo": {          "email_attribute": "string",          "currencies": [            "string"          ],          "tier_programs": [            "string"          ]        }      },      "credentials_configured": true,      "webhook_secret_configured": true,      "webhook_path": "string",      "disabled_reason": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}
POST
/connectors

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connectors" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "provider": "shopify",    "external_account": "example.myshopify.com",    "credentials": {      "access_token": "shpat_example"    },    "webhook_secret": "example-webhook-signing-secret",    "config": {      "shop_currency": "USD"    }  }'
{  "id": "string",  "provider": "shopify",  "external_account": "string",  "status": "active",  "config": {    "customer_mapping": {      "mode": "provider_customer_id"    },    "shop_currency": "string",    "klaviyo": {      "email_attribute": "string",      "currencies": [        "string"      ],      "tier_programs": [        "string"      ]    }  },  "credentials_configured": true,  "webhook_secret_configured": true,  "webhook_path": "string",  "disabled_reason": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
GET
/connectors/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/connectors/string"
{  "id": "string",  "provider": "shopify",  "external_account": "string",  "status": "active",  "config": {    "customer_mapping": {      "mode": "provider_customer_id"    },    "shop_currency": "string",    "klaviyo": {      "email_attribute": "string",      "currencies": [        "string"      ],      "tier_programs": [        "string"      ]    }  },  "credentials_configured": true,  "webhook_secret_configured": true,  "webhook_path": "string",  "disabled_reason": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
PATCH
/connectors/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/connectors/string" \  -H "Content-Type: application/json" \  -d '{    "status": "active"  }'
{  "id": "string",  "provider": "shopify",  "external_account": "string",  "status": "active",  "config": {    "customer_mapping": {      "mode": "provider_customer_id"    },    "shop_currency": "string",    "klaviyo": {      "email_attribute": "string",      "currencies": [        "string"      ],      "tier_programs": [        "string"      ]    }  },  "credentials_configured": true,  "webhook_secret_configured": true,  "webhook_path": "string",  "disabled_reason": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
DELETE
/connectors/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/connectors/string"
{  "id": "string",  "provider": "shopify",  "external_account": "string",  "status": "active",  "config": {    "customer_mapping": {      "mode": "provider_customer_id"    },    "shop_currency": "string",    "klaviyo": {      "email_attribute": "string",      "currencies": [        "string"      ],      "tier_programs": [        "string"      ]    }  },  "credentials_configured": true,  "webhook_secret_configured": true,  "webhook_path": "string",  "disabled_reason": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
GET
/connectors/{id}/receipts

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 2048

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/connectors/string/receipts"
{  "data": [    {      "provider_event_id": "string",      "topic": "string",      "outcome": "processed",      "event_id": "string",      "detail": "string",      "provider_delivery_id": "string",      "received_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}
POST
/connectors/{id}/klaviyo/resync

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connectors/string/klaviyo/resync" \  -H "Idempotency-Key: string"
{  "synced": -9007199254740991,  "pending": -9007199254740991,  "skipped_no_email": -9007199254740991,  "failed": -9007199254740991,  "resync_pending": true,  "last_run_at": "2019-08-24T14:15:22Z",  "last_success_at": "2019-08-24T14:15:22Z",  "next_attempt_at": "2019-08-24T14:15:22Z",  "last_error": "string",  "disabled_reason": "string"}
GET
/connectors/{id}/klaviyo/status

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/connectors/string/klaviyo/status"
{  "synced": -9007199254740991,  "pending": -9007199254740991,  "skipped_no_email": -9007199254740991,  "failed": -9007199254740991,  "resync_pending": true,  "last_run_at": "2019-08-24T14:15:22Z",  "last_success_at": "2019-08-24T14:15:22Z",  "next_attempt_at": "2019-08-24T14:15:22Z",  "last_error": "string",  "disabled_reason": "string"}
POST
/connectors/{id}/shopify/discount_codes

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connectors/string/shopify/discount_codes" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "code": "WELCOME-10",    "title": "Welcome reward",    "amount_minor": 1000,    "currency": "USD"  }'
{  "id": "string",  "code": "string"}
POST
/connectors/{id}/shopify/redemptions

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connectors/string/shopify/redemptions" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "customer_id": "cust_00000000000000000000000000000042",    "currency": "credit",    "amount": 1500  }'
{  "status": "created",  "code": "string",  "discount_id": "string",  "application": {    "id": "string",    "customer_id": "string",    "currency_id": "string",    "currency": "string",    "iso_currency": "string",    "minor_unit": 0,    "order_ref": "string",    "order_total": 0,    "amount": 0,    "captured": 0,    "refunded": 0,    "status": "applied",    "void_reason": "string",    "applied_at": "2019-08-24T14:15:22Z",    "hold_until": "2019-08-24T14:15:22Z",    "captured_at": "2019-08-24T14:15:22Z",    "voided_at": "2019-08-24T14:15:22Z",    "revision": 0  }}
POST
/connectors/{id}/shopify/redemptions/{code}/reconcile

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length
code*string
Length1 <= length <= 64

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connectors/string/shopify/redemptions/string/reconcile" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "created",  "code": "string",  "discount_id": "string",  "application": {    "id": "string",    "customer_id": "string",    "currency_id": "string",    "currency": "string",    "iso_currency": "string",    "minor_unit": 0,    "order_ref": "string",    "order_total": 0,    "amount": 0,    "captured": 0,    "refunded": 0,    "status": "applied",    "void_reason": "string",    "applied_at": "2019-08-24T14:15:22Z",    "hold_until": "2019-08-24T14:15:22Z",    "captured_at": "2019-08-24T14:15:22Z",    "voided_at": "2019-08-24T14:15:22Z",    "revision": 0  }}
POST
/connectors/{id}/shopify/redemptions/expire

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connectors/string/shopify/redemptions/expire" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "limit": 25  }'
{  "voided": [    "string"  ],  "used": [    "string"  ],  "retry": [    "string"  ],  "awaiting_confirmation": [    "string"  ],  "needs_reconcile": [    "string"  ],  "has_more": true}
POST
/connectors/{provider}/{installation_id}/webhook

Path Parameters

provider*string
installation_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connectors/string/string/webhook"
{  "received": true}